### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xtmrctr_stats.c File Reference

## Detailed Description

Contains function to get and clear statistics for the XTmrCtr component.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b jhl  02/06/02 First release
     1.10b mta  03/21/07 Updated for new coding style.

## Functions

void | XTmrCtr_GetStats (XTmrCtr *InstancePtr, XTmrCtrStats *StatsPtr)
void | XTmrCtr_ClearStats (XTmrCtr *InstancePtr)

## Function Documentation

void XTmrCtr_ClearStats | ( | XTmrCtr * | InstancePtr | ) |

Clear the XTmrCtrStats structure for this driver.

Parameters:

  | InstancePtr | is a pointer to the XTmrCtr instance.

Returns:
  None.

Note:
  None.

void XTmrCtr_GetStats | ( | XTmrCtr * | InstancePtr,
|  | XTmrCtrStats * | StatsPtr
| ) |

Get a copy of the XTmrCtrStats structure, which contains the current statistics for this driver.

Parameters:

  | InstancePtr | is a pointer to the XTmrCtr instance.
  | StatsPtr | is a pointer to a XTmrCtrStats structure which will get a copy of current statistics.

Returns:
  None.

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.